Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class ContinuousAlphabet.ContinuousAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.data.alphabets.Alphabet.AlphabetParameterSet
                  de.jstacs.data.alphabets.ContinuousAlphabet.ContinuousAlphabetParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Enclosing class:
  ContinuousAlphabet

    public static class ContinuousAlphabet.ContinuousAlphabetParameterSet

extends Alphabet.AlphabetParameterSet

Class for the `ParameterSet` of a `ContinuousAlphabet`.

Author:
  Jan Grau

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`ContinuousAlphabet.ContinuousAlphabetParameterSet()` Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` with empty values.
`ContinuousAlphabet.ContinuousAlphabetParameterSet(double min, double max)` Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` from a minimum and a maximum value.
`ContinuousAlphabet.ContinuousAlphabetParameterSet(double min, double max, boolean allowNaN)` Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` from a minimum and a maximum value.
`ContinuousAlphabet.ContinuousAlphabetParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable` .

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.data.alphabets.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContinuousAlphabet.ContinuousAlphabetParameterSet

    public ContinuousAlphabet.ContinuousAlphabetParameterSet()

  Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` with empty values.

  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(Class)`

### ContinuousAlphabet.ContinuousAlphabetParameterSet

    public ContinuousAlphabet.ContinuousAlphabetParameterSet(double min,
                                                             double max)
                                                      throws Exception

  Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` from a minimum and a maximum value. NaN values are not allowed.

  Parameters:
    `min` - the minimum
    `max` - the maximum
  Throws:
    `Exception` - if minimum or maximum could not be set
  See Also:
    `ContinuousAlphabet.ContinuousAlphabetParameterSet#ContinuousAlphabetParameterSet()`

### ContinuousAlphabet.ContinuousAlphabetParameterSet

    public ContinuousAlphabet.ContinuousAlphabetParameterSet(double min,
                                                             double max,
                                                             boolean allowNaN)
                                                      throws Exception

  Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` from a minimum and a maximum value.

  Parameters:
    `min` - the minimum
    `max` - the maximum
    `allowNaN` - true if NaN values are allowed
  Throws:
    `Exception` - if minimum or maximum could not be set
  See Also:
    `ContinuousAlphabet.ContinuousAlphabetParameterSet#ContinuousAlphabetParameterSet()`

### ContinuousAlphabet.ContinuousAlphabetParameterSet

    public ContinuousAlphabet.ContinuousAlphabetParameterSet(StringBuffer representation)
                                                      throws NonParsableException

  The standard constructor for the interface `Storable` . Creates a new `ContinuousAlphabet.ContinuousAlphabetParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `ContinuousAlphabet.ContinuousAlphabetParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(StringBuffer)`, `Storable`

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD